วันพุธที่ 11 พฤศจิกายน พ.ศ. 2552

Andrea Vedaldi's matlab sift toolbox library version 09.17 on ubuntu linux

กว่าจะลงได้ ลากเลือด จดไว้หน่อย

เสือกใช้ gcc version เก่า

>> sift_compile

Warning: You are using gcc version "4.3.3-5ubuntu4)". The earliest gcc version supported
with mex is "4.0.0". The latest version tested for use with mex is "4.2.0".
To download a different version of gcc, visit http://gcc.gnu.org


เอ้า จัดไป เวอร์ชั่นเก่าก็ได้

$ sudo ln -s /usr/bin/gcc-4.1 /usr/bin/gcc

ข้างบน คือ วิธีหน้าโง่ จริงๆ เข้าไปแก้ใน ไฟล์ คอนฟิก ${HOME}/.matlab/R2008b/mexopts.sh ก็ได้

CC='/usr/bin/gcc-4.1' #'gcc'





gcc version เก่า แม่ง ไม่มี stdc++ มาให้อีก ลิงก์ lib ให้มันซะ ไม่งั้นมัน error ld library ( จริงๆ เซต LD_LIBRARY_PATH ก็น่าจะได้ )

$ sudo ln -s /usr/lib/libstdc++.so.6.0.10 /usr/lib/libstdc++.so


เท่านั้นแหละ compile ผ่านละ

พอไป make บน linux

$ make
mex -I. CFLAGS='$CFLAGS -I. -pedantic -Wall -g -O3 -Wno-variadic-macros ' imsmooth.c -o imsmooth
mex: unrecognized option '-I.'
This is pdfTeXk, Version 3.141592-1.40.3 (Web2C 7.5.6)
%&-line parsing enabled.
entering extended mode
! I can't find file `"CFLAGS=$CFLAGS -I. -pedantic -Wall -g -O3 -Wno-variadic-m
acros "'.
<*> ...dantic -Wall -g -O3 -Wno-variadic-macros "
imsmooth.c -o imsmooth
Please type another input file name:


ชื่อโปรแกรม mex ดันไปซ้ำกับโปรแกรมที่มีอยู่แล้วอีก

เลยแก้ MakeFile ให้มันชี้ไปที่โปรแกรม mex ของ matlab ตามนี้ ( แก้ path ให้ถูกนะ )

%.$(MEX_SUFFIX) : %.c
/mnt/disk/matlab/bin/mex -I. $(MEX_CFLAGS) $< -o $*

1 ความคิดเห็น:

ไม่ระบุชื่อ กล่าวว่า...

Pretty pοrtion οf сontеnt. Ι juist ѕtumbled upon your blοg and іn
accessіon capital to say that I acquire in fact loved account your wweblog posts.
AnуωayI will be subscribing for уour
feeds oг even I fulfillment you get right of entry tо cοnsistently quickly.


my wеb pahe :: mеzoterapiа ωarszawa ()

LinkWithin

Related Posts Plugin for WordPress, Blogger...